---
title: llarp::rpc::Exit

---

# llarp::rpc::Exit





Inherits from [llarp::rpc::RPCRequest](Classes/structllarp_1_1rpc_1_1RPCRequest.md)

## Public Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[request_parameters](Classes/structllarp_1_1rpc_1_1Exit_1_1request__parameters.md)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[onGoodResult](Classes/structllarp_1_1rpc_1_1Exit.md#function-ongoodresult)**(std::string reason, bool hasClient) |
| void | **[onBadResult](Classes/structllarp_1_1rpc_1_1Exit.md#function-onbadresult)**(std::string reason, [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & abs, llarp::service::Endpoint_ptr eptr, [IPRange](Classes/structllarp_1_1IPRange.md) range) |
| void | **[mapExit](Classes/structllarp_1_1rpc_1_1Exit.md#function-mapexit)**([service::Address](Classes/structllarp_1_1service_1_1Address.md) addr, [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & router, llarp::service::Endpoint_ptr eptr, [IPRange](Classes/structllarp_1_1IPRange.md) range, [service::Address](Classes/structllarp_1_1service_1_1Address.md) exitAddr) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr auto | **[name](Classes/structllarp_1_1rpc_1_1Exit.md#variable-name)**  |
| struct [llarp::rpc::Exit::request_parameters](Classes/structllarp_1_1rpc_1_1Exit_1_1request__parameters.md) | **[request](Classes/structllarp_1_1rpc_1_1Exit.md#variable-request)**  |

## Additional inherited members

**Public Functions inherited from [llarp::rpc::RPCRequest](Classes/structllarp_1_1rpc_1_1RPCRequest.md)**

|                | Name           |
| -------------- | -------------- |
| bool | **[is_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-is-bt)**() const |
| void | **[set_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-set-bt)**() |
| void | **[send_response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-send-response)**() |

**Public Attributes inherited from [llarp::rpc::RPCRequest](Classes/structllarp_1_1rpc_1_1RPCRequest.md)**

|                | Name           |
| -------------- | -------------- |
| nlohmann::json | **[response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response)**  |
| [llarp::rpc::json_binary_proxy](Classes/classllarp_1_1rpc_1_1json__binary__proxy.md) | **[response_hex](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-hex)**  |
| [llarp::rpc::json_binary_proxy](Classes/classllarp_1_1rpc_1_1json__binary__proxy.md) | **[response_b64](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-b64)**  |
| std::optional< oxenmq::Message::DeferredSend > | **[replier](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-replier)**  |


## Public Functions Documentation

### function onGoodResult

```cpp
inline void onGoodResult(
    std::string reason,
    bool hasClient
)
```


### function onBadResult

```cpp
inline void onBadResult(
    std::string reason,
    AbstractRouter & abs,
    llarp::service::Endpoint_ptr eptr,
    IPRange range
)
```


### function mapExit

```cpp
inline void mapExit(
    service::Address addr,
    AbstractRouter & router,
    llarp::service::Endpoint_ptr eptr,
    IPRange range,
    service::Address exitAddr
)
```


## Public Attributes Documentation

### variable name

```cpp
static constexpr auto name = "exit"sv;
```


### variable request

```cpp
struct llarp::rpc::Exit::request_parameters request;
```


-------------------------------

Updated on 2023-01-23 at 22:05:55 +0000